<!-- Page Header -->
<header class="masthead" style="background-image: url('img/post-bg.jpg')">
  <div class="overlay"></div>
  <div class="container">
    <div class="row">
      <div class="col-lg-8 col-md-10 mx-auto">
        <div class="post-heading">
          <h1>{{post.title}}</h1>
<!--          <h2 class="subheading">Problems look mighty small from 150 miles up</h2>-->
<!--          <span class="meta">Posted by-->
<!--              <a href="#">Start Bootstrap</a>-->
<!--              on August 24, 2019</span>-->
        </div>
      </div>
    </div>
  </div>
</header>

<!-- Post Content -->
<article>
  <div class="container">
    <div class="row">
      <div class="col-lg-8 col-md-10 mx-auto">
        {{post.body}}
        <p> In category : {{post.category}}</p>

        <h2>Commentaires</h2>
        <div *ngFor="let comment of comments">
          <h5>{{comment.user}} <small>{{comment.date | date:'short'}}</small></h5>
          <p>{{comment.content}}</p>
          <hr>
        </div>
        <div>
          <form (submit)="createComment()" >
            <div class="form-group">
              <label for="user">User</label>
              <input type="text" name="user" id="user" class="form-control" [(ngModel)]="newComment.user">
            </div>
            <div class="form-group">
              <label for="content">Content</label>
              <textarea name="content" id="content" class="form-control" [(ngModel)]="newComment.content"></textarea>
            </div>
            <div class="form-group">
              <button type="submit" class="btn btn-primary">Send</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</article>
